Lagrangian
POST
/training/experiments/{experiment_id}/runs/{run_id}/start

Path Parameters

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/training/experiments/{experiment_id}/runs/{run_id}/start" \  -H "Content-Type: application/json" \  -d '{    "training_graph": {      "training_job_controller": {        "acceleration_mode": "MLGPUSimulationCPU",        "checkpoint_frequency": {          "content": 0,          "type": "PostEpoch"        },        "compute_instance": "AWSG4dn",        "training_method": {          "content": {            "control_model": {              "content": {                "hidden_layer_dim": 0,                "input_dim": 0,                "input_spec": {                  "content": {                    "all_cameras": true,                    "contact_pairs": true,                    "genforces_state": true,                    "is_diff": true,                    "qpos_state": true,                    "qvel_state": true,                    "xpos_state": true,                    "xquat_state": true                  },                  "type": "OrdinaryConfiguration"                },                "model_type": {                  "content": {                    "content": "Pi0",                    "type": "Pretrained"                  },                  "type": "Checkpoint"                },                "num_hidden_layers": 0,                "output_dim": 0              },              "type": "MLP"            },            "control_output_mode": {              "type": "ActionMean"            },            "epsilon": 0.1,            "gamma": 0.1,            "lambda": 0.1,            "num_epochs": 0,            "num_steps_per_traj": 0,            "num_trajs": 0,            "num_updates": 0,            "reward_function": {              "input_spec": {                "content": {                  "all_cameras": true,                  "contact_pairs": true,                  "genforces_state": true,                  "is_diff": true,                  "qpos_state": true,                  "qvel_state": true,                  "xpos_state": true,                  "xquat_state": true                },                "type": "OrdinaryConfiguration"              },              "language": "Rust",              "reward_function_code": "string"            },            "simulation_model": "string",            "value_model": {              "content": {                "hidden_layer_dim": 0,                "input_dim": 0,                "input_spec": {                  "content": {                    "all_cameras": true,                    "contact_pairs": true,                    "genforces_state": true,                    "is_diff": true,                    "qpos_state": true,                    "qvel_state": true,                    "xpos_state": true,                    "xquat_state": true                  },                  "type": "OrdinaryConfiguration"                },                "model_type": {                  "content": {                    "content": "Pi0",                    "type": "Pretrained"                  },                  "type": "Checkpoint"                },                "num_hidden_layers": 0,                "output_dim": 0              },              "type": "MLP"            }          },          "type": "PPO"        }      }    }  }'
{  "id": "string"}
Empty
Empty
Empty